using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.PackageCQ.EventHandlers;

public class DeletePackageEventHandler : INotificationHandler<DeletePackageEvent>
{
    private readonly ILogger<DeletePackageEventHandler> _logger;

    public DeletePackageEventHandler(ILogger<DeletePackageEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(DeletePackageEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
